/// @author: ygao
/// @date: 2023/4/21
/// @version: 1.0
/// @description:

import 'package:rc_fl/routes/fl_router_delegate.dart';
import 'package:flutter/material.dart';

class FlRoute {
  FlRoute._();

  static FlRoute? _instance;

  static FlRoute get instance => _getInstance();

  static FlRoute _getInstance() {
    if (_instance == null) {
      _instance = FlRoute._();
    }
    return _instance!;
  }

  late FlRouterDelegate _cryRouterDelegate;

  init(FlRouterDelegate cryRouterDelegate) {
    _cryRouterDelegate = cryRouterDelegate;
  }

  push(Widget widget) => _cryRouterDelegate.push(widget);

  pushNamed(String name) => _cryRouterDelegate.pushNamed(name);

  pushNamedAndRemove(String name) => _cryRouterDelegate.pushNamedAndRemove(name);

  popAndPushNamed(String name) => _cryRouterDelegate.popAndPushNamed(name);

  pop() => _cryRouterDelegate.pop();
}
